Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1
%global npm_name emitter

Name:       nodejs-component-emitter
Version:    1.2.1
Release:    alt1_5
Summary:    An event emitter component for Node.js
License:    MIT
URL:        https://github.com/component/emitter
Source0:    https://github.com/component/%{npm_name}/archive/%{version}/%{npm_name}-%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(should)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n %{npm_name}-%{version}



%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/component-emitter
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/component-emitter

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

%if 0%{?enable_tests}
/usr/bin/mocha --require should --reporter spec
%endif


%files
%doc History.md Readme.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/component-emitter


%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_5
- new version

* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt0.1.njs.bootstrap
- bootstrap

